LibreOffice: UpdateRootElement Service Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
UpdateRootElement Service Referencepublished

provides update control for a hierarchy of configuration items and information about the hierarchy as a whole as well as its root. More...

`import "UpdateRootElement.idl";`

Inheritance diagram for UpdateRootElement:

## Included Services
service | AccessRootElement
| provides (read-only) access to information about the root element of (a fragment of) the hierarchy.
Included Services inherited from AccessRootElement
service | HierarchyElement
| the basic service for accessing information about an element in the hierarchy.

## Exported Interfaces
interface | com::sun::star::util::XChangesBatch
| allows managing changes within the hierarchy.
Exported Interfaces inherited from AccessRootElement
interface | com::sun::star::lang::XComponent
| allows controlling or observing the lifetime of the whole hierarchy.
interface | com::sun::star::util::XChangesNotifier
| allows registering listeners that observe the whole hierarchy.
interface | com::sun::star::lang::XLocalizable
| provides access to the locale that applies to locale-dependent data in this hierarchy.
Exported Interfaces inherited from HierarchyElement
interface | com::sun::star::container::XHierarchicalName
| provides the complete hierarchical name of this element within the hierarchy tree.
interface | com::sun::star::container::XNamed
| provides the local name of this element within its parent.
interface | com::sun::star::beans::XProperty
| provides a property descriptor for this element.
interface | com::sun::star::beans::XPropertyWithState
| provides access to the default state of this element.
interface | com::sun::star::container::XChild
| provides access to the parent of this element [optional].

## Additional Inherited Members
Public Member Functions inherited from XHierarchicalName
string | getHierarchicalName ()
string | composeHierarchicalName ([in] string aRelativeName) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::NoSupportException )
| builds the hierarchical name of an object, given a relative name
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XChangesNotifier
void | addChangesListener ([in] com::sun::star::util::XChangesListener aListener)
| adds the specified listener to receive events when changes occurred.
void | removeChangesListener ([in] com::sun::star::util::XChangesListener aListener)
| removes the specified listener.
Public Member Functions inherited from XChangesBatch
void | commitChanges () raises ( com::sun::star::lang::WrappedTargetException )
| commits any pending changes.
boolean | hasPendingChanges ()
| checks whether this object has any pending changes that can be committed.
ChangesSet | getPendingChanges ()
| queries for any pending changes that can be committed.
Protected Member Functions inherited from XProperty
com::sun::star::beans::Property | getAsProperty ()
Protected Member Functions inherited from XPropertyWithState
com::sun::star::beans::PropertyState | getStateAsProperty ()
void | setToDefaultAsProperty () raises ( com::sun::star::lang::WrappedTargetException )
| sets this to its default value.
com::sun::star::uno::XInterface | getDefaultAsProperty () raises ( com::sun::star::lang::WrappedTargetException )
Protected Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content.
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object.
Protected Member Functions inherited from XLocalizable
void | setLocale ([in] Locale eLocale)
| sets the locale to be used by this object.
Locale | getLocale ()

## Detailed Description

provides update control for a hierarchy of configuration items and information about the hierarchy as a whole as well as its root.

Extends AccessRootElement by adding support for collecting changes and applying them to a backend store as a single batch.

An implementation represents the root of a partial hierarchy. [See the documentation for AccessRootElement]. The hierarchy in turn is a view onto a fragment of persistent data tree that can be accessed through several such views, or even several processes, simultaneously.

Elements of the hierarchy, such as descendants of this root element, may support modification by providing appropriate interfaces. Changes done this way initially only affect these objects themselves and other objects within the same hierarchy, such as other descendants of this root element.

The accumulated changes within this hierarchy can be managed using com::sun::star::util::XChangesBatch. Pending changes will become persistent and visible from other overlapping hierarchies only when com::sun::star::util::XChangesBatch::commitChanges() is called. If the hierarchy is disposed or discarded without committing changes, the changes will be lost.

See also
  com::sun::star::configuration::GroupUpdate
  com::sun::star::configuration::SetUpdate

## Exported Interfaces

## ◆ AccessRootElement

service AccessRootElement

provides (read-only) access to information about the root element of (a fragment of) the hierarchy.

It also provides some functionality concerning the hierarchy (fragment) accessible from that element as a whole.

## Exported Interfaces

## ◆ com::sun::star::util::XChangesBatch

interface com::sun::star::util::XChangesBatch

allows managing changes within the hierarchy.

com::sun::star::util::XChangesBatch::getPendingChanges() reports all changes within the hierarchy that are done through (direct or indirect) descendants of this element. The same set of changes is committed to persistent storage and/or made visible to other objects accessing the same data set, when com::sun::star::util::XChangesBatch::commitChanges() is invoked.

If the implementation supports com::sun::star::lang::XLocalizable::setLocale(), changes will be considered to apply to the locale that is set when com::sun::star::util::XChangesBatch::commitChanges() is invoked.

See also
  AccessRootElement
  com::sun::star::util::XChangesNotifier

The documentation for this service was generated from the following file:

- com/sun/star/configuration/UpdateRootElement.idl